Bug 472980 - python-devel does not bring python into the build environment on ppc64 for F-8
python-devel does not bring python into the build environment on ppc64 for F-8
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: buildsystem (Show other bugs)
8
ppc64 Linux
medium Severity high
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
http://koji.fedoraproject.org/koji/ta...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-25 16:52 EST by Lev Shamardin
Modified: 2008-12-09 16:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-09 16:11:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lev Shamardin 2008-11-25 16:52:19 EST
Description of problem:
I'm trying to build a package which has BuildRequires: python-devel. The build succeeds for all platforms in rawhide but fails on ppc64 for Fedora 8 (successfully builds for all other supported platforms). The build fails with this messages in the log:

ENTER do(['bash', '--login', '-c', 'rpmbuild -bs --target ppc64 --nodeps builddir/build/SPECS/protobuf.spec'], False, '/var/lib/mock/dist-f8-build-293448-54525/root/', None, 86400, True, 0, 101, 102, None, logger=<mock.trace_decorator.getLog object at 0xf75a1910>)
Executing command: ['bash', '--login', '-c', 'rpmbuild -bs --target ppc64 --nodeps builddir/build/SPECS/protobuf.spec']
sh: /usr/bin/python: No such file or directory
sh: /usr/bin/python: No such file or directory
sh: /usr/bin/python: No such file or directory
sh: /usr/bin/python: No such file or directory
warning: Could not canonicalize hostname: ppc2.fedora.redhat.com
Building target platforms: ppc64
Building for target ppc64
Wrote: /builddir/build/SRPMS/protobuf-2.0.2-4.fc8.src.rpm
Child returncode was: 0
LEAVE do --> 

Version-Release number of selected component (if applicable):
N/A?

How reproducible:
Always

Steps to Reproduce:
1. checkout protobuf package from fedora cvs.
2. make scratch-build-ppc64 in F-8 branch.
  
Actual results:
Build fails.

Expected results:
Successful build.

Additional info:
I found from the root.log that the python-devel and even python-setuptools-devel are installed successfully in the build environment, but for some unknown reason python seems to be missing.
Comment 1 Bug Zapper 2008-11-26 06:20:10 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Lev Shamardin 2008-12-09 16:11:39 EST
It appeared that some other dependencies were missing on ppc64 which caused a failed build.

Note You need to log in before you can comment on or make changes to this bug.